Make WordPress Core


Ignore:
Timestamp:
05/19/2014 05:03:44 AM (10 years ago)
Author:
wonderboymusic
Message:

Fix some hackificator odds and ends in wp-admin:

  • wp-activate.php and wp-admin/themes.php don't need the closing PHP tag
  • Switch single quotes for HTML attribute values to double in a few places
  • Convert include_once file.php syntax to include_once( 'file.php' )
  • Add access modifiers to methods/members in: _WP_List_Table_Compat, Walker_Nav_Menu_Edit, Walker_Nav_Menu_Checklist, WP_Screen, Walker_Category_Checklist
  • edit_user() doesn't need to import the $wpdb global
  • wp_list_widgets() doesn't need to import the $sidebars_widgets global
  • switch/endswitch syntax is not supported in Hack
  • A <ul> in wp-admin/users.php is unclosed

See #27881.

File:
1 edited

Legend:

Unmodified
Added
Removed
  • trunk/src/wp-admin/includes/class-wp-filesystem-ftpsockets.php

    r28490 r28500  
    2525
    2626        // Check if possible to use ftp functions.
    27         if ( ! @include_once ABSPATH . 'wp-admin/includes/class-ftp.php' )
    28                 return false;
     27        if ( ! @include_once( ABSPATH . 'wp-admin/includes/class-ftp.php' ) ) {
     28            return false;
     29        }
    2930        $this->ftp = new ftp();
    3031
Note: See TracChangeset for help on using the changeset viewer.